function logdensity=lograndiwdens(Sigma,Scale,df)

% Evaluates the kernel of the IW(Scale,df) density (Zellner,1971) in the point Sigma. A constant which
% does not depend on Scale has been discarded.

p=size(Sigma,1);
LogConstant=-(((df*p)/2)*log(2)+(p*(p-1)/4)*log(pi)+sum(gammaln((df+1-(1:p))/2)));
logdensity=LogConstant+(df/2)*log(det(Scale))-((df+p+1)/2)*log(det(Sigma))-0.5*trace(inv(Sigma)*Scale);